if not exists (select * FROM sys.syscolumns where name = 'ConnectionType' AND id = object_id(N'dbo.Connections')) BEGIN
   alter table dbo.Connections ADD ConnectionType int NULL
END;

if not exists (select * FROM sys.syscolumns where name = 'ConnectionSubType' AND id = object_id(N'dbo.Connections')) BEGIN
   alter table dbo.Connections ADD ConnectionSubType VARCHAR(100) NULL
END;

if not exists (select * FROM sys.syscolumns where name = 'GroupName' AND id = object_id(N'dbo.Connections')) BEGIN
   alter table dbo.Connections ADD GroupName VARCHAR(400) NULL
END;

if not exists (select * FROM sys.syscolumns where name = 'Name' AND id = object_id(N'dbo.Connections')) BEGIN
   alter table dbo.Connections ADD Name VARCHAR(200) NULL
END;